#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    _data = [[NSMutableArray alloc]init];
    
    for (int i=0; i<10; i++)
    {
        DataItem *item = [[DataItem alloc]init];
        item.value = 10 + arc4random()%30;
        item.stackValue1 = 10 + arc4random()%10;
        item.stackValue2 = 10 + arc4random()%10;
        item.label = [NSString stringWithFormat:@"label %d", i+1];
        [_data addObject:item];
    }
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.frame];
    
    _categoryHelper = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value"];
    _categoryHelper.labelPath = @"label";
    
    _stackedHelper = [[IGStackedSeriesDataSourceHelper alloc]initWithData:_data fields:@[@"stackValue1", @"stackValue2"]];
    _stackedHelper.labelPath = @"label";
    
    [_chart addSeriesForType:[IGColumnSeries class] usingKey:@"columnSeries" withDataSource:_categoryHelper firstAxisKey:@"xAxis" secondAxisKey:@"yAxis"];
    
    [_chart addStackedSeriesForType:[IGStackedColumnSeries class] usingKey:@"stackedSeries" withDataSource:_stackedHelper firstAxisKey:@"xAxis" secondAxisKey:@"yAxis"];
    
    [self.view addSubview:_chart];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end

@implementation DataItem
@synthesize value,label;
@end
